summaryrefslogtreecommitdiffstats
path: root/libraries/libpst
diff options
context:
space:
mode:
author Roberto Neri2011-05-17 21:32:48 +0200
committer Robby Workman2011-05-17 21:32:48 +0200
commitd09694e5779b86880e1c0963168c43eac5b1f335 (patch)
treedd9ad7a75d451fe9267bde6dc4d68a3a10beaba6 /libraries/libpst
parente6ca8e0c38699ecc13c5dea71e12783e6de0f25c (diff)
downloadslackbuilds-d09694e5779b86880e1c0963168c43eac5b1f335.tar.gz
libraries/libpst: Added (MS Outlook PST file library and utilities)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/libpst')
-rw-r--r--libraries/libpst/README9
-rw-r--r--libraries/libpst/libpst.SlackBuild87
-rw-r--r--libraries/libpst/libpst.info10
-rw-r--r--libraries/libpst/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/libraries/libpst/README b/libraries/libpst/README
new file mode 100644
index 0000000000..cc8e808dea
--- /dev/null
+++ b/libraries/libpst/README
@@ -0,0 +1,9 @@
+The libpst project includes a library and a set of utilities to decode
+and convert MS Outlook PST files.
+
+readpst - convert PST files to mbox and other formats
+lspst - list PST (MS Outlook Personal Folders) file data
+pst2ldif - extract contacts from a PST file in .ldif format
+pst2dii - extract email messages from a PST file in DII load format
+
+Also included is a man(5) page which describes the format of PST files.
diff --git a/libraries/libpst/libpst.SlackBuild b/libraries/libpst/libpst.SlackBuild
new file mode 100644
index 0000000000..b739f4dcc0
--- /dev/null
+++ b/libraries/libpst/libpst.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for libpst
+
+# Written by Roberto Neri <rneri@libero.it>
+
+PRGNAM=libpst
+VERSION=${VERSION:-0.6.51}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --enable-dii \
+ --disable-static \
+ --enable-libpst-shared \
+ --enable-python \
+ --build=$ARCH-slackware-linux
+
+make
+# ./configure does not provide --docdir,
+# it is necessary to override "htmldir" and "htmldeveldir"
+make install DESTDIR=$PKG \
+ htmldir=/usr/doc/$PRGNAM-$VERSION \
+ htmldeveldir=/usr/doc/$PRGNAM-$VERSION/devel
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Package documentation has aready been copied
+# into $PKG/usr/doc/$PRGNAM-$VERSION by "make install"
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libpst/libpst.info b/libraries/libpst/libpst.info
new file mode 100644
index 0000000000..0058d24b6a
--- /dev/null
+++ b/libraries/libpst/libpst.info
@@ -0,0 +1,10 @@
+PRGNAM="libpst"
+VERSION="0.6.51"
+HOMEPAGE="http://www.five-ten-sg.com/libpst/"
+DOWNLOAD="http://www.five-ten-sg.com/libpst/packages/libpst-0.6.51.tar.gz"
+MD5SUM="59dec842e192dd494d4c2b639b9a38e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="rworkman"
diff --git a/libraries/libpst/slack-desc b/libraries/libpst/slack-desc
new file mode 100644
index 0000000000..79e85c2764
--- /dev/null
+++ b/libraries/libpst/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libpst: libpst (MS Outlook Personal Folders converter)
+libpst:
+libpst: The libpst project includes a library and a set of utilities to decode
+libpst: and convert MS Outlook PST files.
+libpst:
+libpst: readpst - convert PST files to mbox and other formats
+libpst: lspst - list PST (MS Outlook Personal Folders) file data
+libpst: pst2ldif - extract contacts from a PST file in .ldif format
+libpst: pst2dii - extract email messages from a PST file in DII load format
+libpst:
+libpst: Homepage: http://www.five-ten-sg.com/libpst/